Up

# NSSelection

### Authors

Gregory John Casamento (`borgheron@yahoo.com`)
Scott Christley (`scottc@net-community.com`)

> NSSelection is used by NSDataLink to refer to a selection within a document.

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSSelection class

## NSSelection : NSObject

> Declared in:
>   AppKit/NSSelection.h

> Conforms to:
>   NSCoding

Availability: OpenStep
Description forthcoming.
Method summary

- +allSelection
- +currentSelection
- +emptySelection
- +selectionWithDescriptionData:
- -descriptionData
- -encodeWithCoder:
- -initWithCoder:
- -initWithDescriptionData:
- -initWithPasteboard:
- -isWellKnownSelection
- -writeToPasteboard:

### allSelection

+ (NSSelection*) allSelection;
Availability: OpenStep
Description forthcoming.

### currentSelection

+ (NSSelection*) currentSelection;
Availability: OpenStep
Description forthcoming.

### emptySelection

+ (NSSelection*) emptySelection;
Availability: OpenStep
Description forthcoming.

### selectionWithDescriptionData:

+ (NSSelection*) selectionWithDescriptionData: (NSData*)data;
Availability: OpenStep
Description forthcoming.

### descriptionData

- (NSData*) descriptionData;
Availability: OpenStep
Description forthcoming.

### encodeWithCoder:

- (void) encodeWithCoder: (NSCoder*)aCoder;
Availability: OpenStep
Description forthcoming.

### initWithCoder:

- (id) initWithCoder: (NSCoder*)aDecoder;
Availability: OpenStep
Description forthcoming.

### initWithDescriptionData:

- (id) initWithDescriptionData: (NSData*)newData;
Availability: OpenStep
Description forthcoming.

### initWithPasteboard:

- (id) initWithPasteboard: (NSPasteboard*)pasteboard;
Availability: OpenStep
Description forthcoming.

### isWellKnownSelection

- (BOOL) isWellKnownSelection;
Availability: OpenStep
Description forthcoming.

### writeToPasteboard:

- (void) writeToPasteboard: (NSPasteboard*)pasteboard;
Availability: OpenStep
Description forthcoming.

Up